Name:           mr
Version:        0.49
Release:        1%{?dist}
Summary:        A multiple repository management tool

Group:          Applications/Internet
License:        GPLv2+
URL:            http://kitenet.net/~joey/code/mr/
#Using the tarball from Debian because upstream is only using a git repo
#at http://git.kitenet.net/?p=mr.git
Source0:        http://ftp.de.debian.org/debian/pool/main/m/mr/%{name}_%{version}.tar.gz
Patch0:         %{name}-man.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
The mr command can checkout, update, or perform other actions on
a set of repositories as if they were one combined respository. It
supports any combination of subversion, git, cvs, mecurial, bzr and
darcs repositories, and support for other revision control systems
can easily be added.  


%prep
%setup -q -n %{name}
%patch0 -p1 -b .man


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
for file in mr.1 webcheckout.1; do
    install -Dp -m 0644 $file %{buildroot}%{_mandir}/man1/$file
done
for file in lib/git-fake-bare lib/git-svn lib/unison; do
    install -Dp -m 0644 $file %{buildroot}%{_datadir}/%{name}/$file
done


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc GPL README TODO mrconfig mrconfig.complex
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_datadir}/%{name}/


%changelog
* Fri Aug 20 2010 Fabian Affolter <fabian@bernewireless.net> - 0.49-1
- Updated to new upstream version 0.49

* Fri Mar 05 2010 Fabian Affolter <fabian@bernewireless.net> - 0.48-1
- Updated to new upstream version 0.48

* Fri Dec 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.46-1
- Updated to new upstream version 0.46

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.43-2
- rebuild against perl 5.10.1

* Wed Sep 17 2009 Fabian Affolter <fabian@bernewireless.net> - 0.43-1
- Updated to new upstream version 0.43

* Sat Aug 22 2009 Fabian Affolter <fabian@bernewireless.net> - 0.42-1
- Added new man page
- Updated to new upstream version 0.42

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 05 2009 Fabian Affolter <fabian@bernewireless.net> - 0.39-1
- Updated to new upstream version 0.39

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Fabian Affolter <fabian@bernewireless.net> - 0.38-1
- Updated to new upstream version 0.38

* Fri Jan 02 2009 Fabian Affolter <fabian@bernewireless.net> - 0.35-2
- Patch for the man pages

* Sat Dec 27 2008 Fabian Affolter <fabian@bernewireless.net> - 0.35-1
- Initial package for Fedora

